--   This file is part of Reno desktop.
--
--  Reno desktop is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
--
--  Reno desktop is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License along with Reno desktop. If not, see <https://www.gnu.org/licenses/>. 
-- Libraries path
root_path = os.getenv("HOME").."/.config/awesome"
package.path = package.path
    ..";"..root_path.."/libs/?.lua"
    ..";"..root_path.."/libs/?/init.lua"
package.cpath = package.cpath
    ..";"..root_path.."/libs/?.so"

-- Modules list
require("modules.collect_garbage")
require("modules.global")
require("modules.errorlog")
require("modules.base")
require("modules.binds")
require("modules.xdg_data")
require("modules.autostart")
require("modules.static_tags")
require("modules.desktop")
